{if $response[0]['status'] == 'exists_in_panel'}
    <div class="alert mt-3 row alert-danger col-sm-12 col-lg-12" role="alert" id="{$MD5domain}_maindiv" role="alert">
        <div class="iq-alert-text  col-sm-3 col-md-2" data-toggle="collapse" data-target="#{$MD5domain}_accor"
            aria-expanded="false" aria-controls="{$MD5domain}_accor">
            <h5 id="{$MD5domain}" class="badge bg-color-pomegranate text-white mr-3">{$response[0]['domainName']}</h5>
        </div>

        <div class="col-md-1 pull-right row">
            <i class="fal fa-caret-circle-down btn" style="font-size: 20px;" data-toggle="collapse"
                data-target="#{$MD5domain}_accor" aria-expanded="false" aria-controls="{$MD5domain}_accor"></i>
        </div>
        <div class=" col-lg-12 iq-alert-text collapse" id="{$MD5domain}_accor">
            <div class="row">
                <p>This domain is already in your panel. You can not transfer again.</p>
            </div>
        </div>
    </div>
{elseif $response[0]['isAvailable'] == 0}
    {$action = 'transfer'}
    <div class="alert mt-3 row alert-warning col-sm-12 col-lg-12" role="alert" id="{$MD5domain}_maindiv" role="alert">
        <div class="iq-alert-text  col-sm-3 col-md-2" data-toggle="collapse" data-target="#{$MD5domain}_accor"
            aria-expanded="false" aria-controls="{$MD5domain}_accor">
            <h5 class="badge bg-color-pomegranate text-white">{$response[0]['domainName']}</h5>
        </div>
        <div class="iq-alert-text  col-sm-3 col-md-2" data-toggle="collapse" data-target="#{$MD5domain}_accor"
            aria-expanded="false" aria-controls="{$MD5domain}_accor">
            <label>price:</label>
            <b class="pricelable" id="{$MD5domain}">{$transferPricing[array_key_first($transferPricing)]}</b>
        </div>

        <div class="iq-alert-text  col-sm-3 col-md-2" data-toggle="collapse" data-target="#{$MD5domain}_accor"
            aria-expanded="false" aria-controls="{$MD5domain}_accor">
            <label class="mb-0">action: </label>
            {if substr($response[0]["tld"], -2) == 'ir'}
                Renew
                {* </span> *}

            {else}
                {$action}
            {/if}

            {* </b> *}
        </div>
        <div class="col-md-1 pull-right row">
            <i class="fal fa-caret-circle-down btn" style="font-size: 20px;" data-toggle="collapse"
                data-target="#{$MD5domain}_accor" aria-expanded="false" aria-controls="{$MD5domain}_accor"></i>
        </div>
        <div class=" col-lg-12 iq-alert-text collapse" id="{$MD5domain}_accor">
            <div class="form-check row">
                <form class="form-group" id="{$MD5domain}_form">
                    <div class="form-group col-md-3">
                        <label class="" for="year">year:</label>
                        <div class="iq-alert-text">
                            <select class="form-control year" id="{$MD5domain}_select"
                                onchange="setPrice(event,'{$MD5domain}')">
                                {foreach $transferPricing as $year => $price}
                                    <option price="{$price}" value="{$year}">{$year}</option>
                                {/foreach}
                            </select>
                        </div>
                    </div>

                    {if substr($response[0]["tld"], -2) == 'ir'}
                        <input type="hidden" value="{str_shuffle('azsxdcfvgtyuiop')}" name="eppCode">
                        {* </span> *}

                    {else}
                        <div class="form-group col-md-3">
                            <label class="control-label" for="year">EPP Code:</label>
                            <div class="">
                                <input type="text" class="form-control" name="eppCode">
                                {* </span> *}
                            </div>
                        </div>
                    {/if}

                    {if $customFields}
                        <div class="">
                            {foreach $customFields as $key => $value}
                                <div class="form-group col-md-3">
                                    <label for="{$value['LangVar']}">{$value['Name']}: </label>
                                    {if $value['Type'] === 'dropdown'}
                                        <select class="form-control" name="{$value['LangVar']}" id="{$value['LangVar']}">
                                            {$options = explode(',',$value['Options'])}
                                            {foreach $options as $option}
                                                <option value="{$}" {if $option === $value['Default']} selected="true" {/if}>{$option}
                                                </option>
                                            {/foreach}
                                        </select>
                                    {/if}

                                    {if $value['Type'] === 'text'}
                                        <input type="text" max="{(int) $value['Size']}" class="form-control"
                                            {if $value['LangVar'] == 'IRNIC_EMAIL_OR_HANDLE' && $defualtNicHandle}
                                            value="{$defualtNicHandle}" {else} value="{$value['Default']}" 
                                            {/if}
                                            name="{$value['LangVar']}" id="{$value['LangVar']}" {if {$value['Required']}}
                                            required="true" {/if}>
                                    {/if}

                                    {if $value['Type'] === 'tickbox'}
                                        <input type="checkbox" class="form-control" name="{$value['LangVar']}" id="{$value['LangVar']}"
                                            required="true">
                                    {/if}
                                </div>
                            {/foreach}
                        </div>
                    {/if}
                    <input type="hidden" name="domain" value="{$response[0]['domainName']}">
                    <input type="hidden" name="action" value="transfer_domain">
                </form>

                <button class="btn btn-primary pull-right"
                    onclick="transfer('{$response[0]['domainName']}')">{$action}</button>
            </div>
        </div>
    </div>
{else}
    {*-------------------------------------------------------------------------------------------------------------------------------------------------------------*}
    {$action = 'register'}
    {if $response[0]['isPremium'] == false}
        <div class="alert mt-3 row alert-success col-sm-12 col-lg-12" id="{$MD5domain}_maindiv" role="alert">
            <div class="iq-alert-text  col-sm-3 col-md-2" data-toggle="collapse" data-target="#{$MD5domain}_accor"
                aria-expanded="false" aria-controls="{$MD5domain}_accor">
                <h5 class="badge bg-color-pomegranate text-white">{$response[0]['domainName']}</h5>
            </div>
            <div class="iq-alert-text  col-sm-3 col-md-2" data-toggle="collapse" data-target="#{$MD5domain}_accor"
                aria-expanded="false" aria-controls="{$MD5domain}_accor">
                <label class="mb-0">price: </label>
                <b class="pricelable"
                    id="{$MD5domain}">{$response[0]['pricing'][array_key_first($response[0]['pricing'])][$action]->__toString()}</b>
            </div>
            <div class="iq-alert-text  col-sm-3 col-md-2" data-toggle="collapse" data-target="#{$MD5domain}_accor"
                aria-expanded="false" aria-controls="{$MD5domain}_accor">
                <label class="mb-0">action: </label>
                <b class="pricelable">{$action}</b>
            </div>
            <div class="col-md-1 pull-right row">
                <i class="fal fa-caret-circle-down btn" style="font-size: 20px;" data-toggle="collapse"
                    data-target="#{$MD5domain}_accor" aria-expanded="false" aria-controls="{$MD5domain}_accor"></i>
            </div>
            <div class=" col-lg-12 iq-alert-text collapse" id="{$MD5domain}_accor">
                <form class="form-horizontal" id="{$MD5domain}_form">
                    <div class="row">
                        <div class="form-group col-md-3">
                            <label class="col-sm-2 control-label" for="year">year:</label>
                            <div class="col-sm-10">
                                <select class="form-control year" id="{$MD5domain}_select"
                                    onchange="setPrice(event,'{$MD5domain}')">
                                    {$tld = $response[0]['tld']}
                                    {foreach $response[0]['pricing'] as $year => $price}
                                        <option price="{$price[$action]->__toString()}" value="{$year}">{$year}</option>
                                    {/foreach}
                                </select>
                            </div>
                        </div>
                        <div class="form-group col-md-4">
                            <label class="col-sm-6 control-label">Name Server 1:</label>
                            <div class="col-sm-6">
                                <input type="text" {if $defaultns1} value="{$defaultns1}" {/if} class="form-control"
                                    id="{$MD5domain}_ns1" name="ns1">
                                <small id="{$MD5domain}_ns1_error" style="color: red"></small>
                            </div>
                        </div>
                        <div class="form-group col-md-4">
                            <label class="col-sm-6 control-label">Name Server 2:</label>
                            <div class="col-sm-6">
                                <input type="text" {if $defaultns2} value="{$defaultns2}" {/if} class="form-control"
                                    id="{$MD5domain}_ns2" name="ns2">
                                <small id="{$MD5domain}_ns2_error" style="color: red"></small>
                            </div>
                        </div>
                    </div>
                    {if $customFields}
                        <div class="row">
                            {foreach $customFields as $key => $value}
                                <div class="form-group col-md-4 row">
                                    <label class=" col-md-4 control-label" for="{$value['LangVar']}">{$value['Name']}: </label>
                                    <div class="col-md-6">
                                        {if $value['Type'] === 'dropdown'}
                                            <select class="form-control" name="{$value['LangVar']}" id="{$value['LangVar']}">
                                                {$options = explode(',',$value['Options'])}
                                                {foreach $options as $option}
                                                    <option value="{$}" {if $option === $value['Default']} selected="true" {/if}>{$option}
                                                    </option>
                                                {/foreach}
                                            </select>
                                        {/if}

                                        {if $value['Type'] === 'text'}
                                            <input type="text" max="{(int) $value['Size']}" class="form-control"
                                                {if $value['LangVar'] == 'IRNIC_EMAIL_OR_HANDLE' && $defualtNicHandle}
                                                value="{$defualtNicHandle}" {else} value="{$value['Default']}" 
                                                {/if}
                                                name="{$value['LangVar']}" id="{$value['LangVar']}" {if {$value['Required']}}
                                                required="true" {/if}>
                                        {/if}

                                        {if $value['Type'] === 'tickbox'}
                                            <input type="checkbox" class="form-control" name="{$value['LangVar']}" id="{$value['LangVar']}"
                                                required="true">
                                        {/if}
                                    </div>
                                    <div class="col-md-2">
                                        <i class="fal fa-info-circle" data-toggle="tooltip" data-placement="bottom"
                                            title="{$value['Description']}" style="
                                        margin-left: -25px;
                                        margin-top: 10px;"></i>
                                    </div>
                                </div>
                            {/foreach}
                        </div>
                    {/if}
                    {* <label class = "col-sm-4 control-label">Name Server 2:</label>
                                <div class="col-sm-8">
                                    <input type="text" class="form-control"  name="ns2">
                                </div> *}
                    <input type="hidden" name="domain" value="{$response[0]['domainName']}">
                    <input type="hidden" name="action" value="register_domain">

                </form>

                <div class="card-body">
                    <button class="btn btn-primary pull-right"
                        onclick="register('{$response[0]['domainName']}')">{$action}</button>
                </div>
            </div>

        </div>
        {*---------------------------------------------------------------------------------------------------------------------------------------------------------*}
    {elseif $response[0]['isPremium'] == true}
        <div class="col-sm-12 col-lg-12">
            <div class="alert mt-3 alert-success" style="background-color: #c679fd;" role="alert">
                <div class="iq-alert-text">
                    <h5 class="alert-heading">
                        <span class="badge bg-color-pomegranate text-white">{$response[0]['domainName']}</span>
                        <span class="pull-right">
                            action:
                            <span class="badge bg-color-sun-flower">{$action}</span>
                        </span>
                    </h5>
                    <hr>
                    <label for="year">year:</label>
                    <select class="form-control year" id="{$MD5domain}_select" onchange="setPrice(event,'{$MD5domain}')">
                        {$tld = $response[0]['tld']}
                        {foreach $response[0]['pricing'] as $year => $price}
                            <option price="{$price[$action]->__toString()}" value="{$year}">{$year}</option>
                        {/foreach}
                    </select>
                    <p class="mb-0">price: </p>
                    <b class="pricelable" id="{$MD5domain}">{$response[0]['pricing'][1][$action][$action]->__toString()}</b>
                </div>
            </div>
        </div>
    {/if}
{/if}
{* <div class="col-md-3">
</div> *}