<style>
    /*loader styles*/
    .loaderCircleBackground {
        z-index: 999;
        background-color: #33333385;
        position: absolute;
        top: 0;
        right: 0;
        bottom: 0;
        left: 0;
    }

    .loaderCircle {
        position: absolute;
        right: calc(50% - 40px);
        top: calc(50% - 40px);
        border: 12px solid #f3f3f3;
        /* Light grey */
        border-top: 12px solid #1a4d80;
        /* Blue */
        border-radius: 50%;
        width: 80px;
        height: 80px;
    }
</style>

<div class="row">
    <div class="col-md-12 pull-md-left main-content">

        <div class="panel panel-primary">
            <div class="panel-heading">
                <h3 class="panel-title">Balance</h3>
            </div>
            <div class="panel-body" id="resp">
                <h3>Your WHMCS credit is: <label class="pull-right">{$credit}</label></h3>
                <div class="col-md-6 col-md-offset-3">
                    <a href="clientarea.php?action=addfunds" type="submit" class="btn btn-success btn-block">Add
                        funds</a>
                </div><br>
                <hr>
                <h3>Your current Balance is (about): <label class="pull-right">{$Balance}</label></h3>
                <hr>
                <div class="col-md-9 input-group form-group">
                    <label for="amount" class="control-label col-md-4 fa-2x">charge account:</label>
                    <div class="col-md-7 input-group">
                        {if $perfix}
                            <span class="input-group-addon">{$perfix}</span>
                        {/if}
                        <input type="number" class="form-control" name="amount" id="amount"
                            placeholder="Intiger value only">
                        <span class="input-group-addon">{$suffix}</span>

                    </div>
                </div>
                <div class="col-md-6 col-md-offset-3">
                    <button id="chargeBtn" type="submit" class="btn btn-success btn-block">Apply
                        charge</button>
                </div>
                <hr><br>
            </div>
        </div>
        <div id="resp" class="iq-card-body">
            <div class="hidden" id="loading">
                <p></p>
                <br>
                <div class="middle">
                    <div class="bar bar1"></div>
                    <div class="bar bar2"></div>
                    <div class="bar bar3"></div>
                    <div class="bar bar4"></div>
                    <div class="bar bar5"></div>
                    <div class="bar bar6"></div>
                    <div class="bar bar7"></div>
                    <div class="bar bar8"></div>
                </div>
            </div>
        </div>
    </div>
</div>
<script src="modules/addons/Manage_Domain/templates/js/script.js"></script>
<script>
    jQuery(document).on("click", "#chargeBtn", function() {
        jQuery("#loading").removeClass("hidden");
        jQuery('body').append(
            '<div class="loaderCircleBackground d-none"><div class="loaderCircle spinner-border"></div></div>'
            )
        jQuery('.loaderCircleBackground ').removeClass('d-none');

        jQuery.ajax({
            type: "POST",
            url: "index.php?m=Manage_Domain&action=add_balance",
            data: {
                token: jQuery("input[name=token]").val(),
                amount: jQuery("#amount").val(),
            },
            success: function(data) {
                jQuery(".loaderCircleBackground").remove();
                jQuery("#successfullcharge").remove();
                jQuery("#resp").append(data);
            },
            error: function() {
                jQuery("#loading").addClass("hidden");
            },
        });
    })
</script>