jQuery(document).on('click', '.headerItems', function () {
    jQuery('.loaderCircleBackground ').toggleClass('hidden');
});
jQuery('#domainsTable').dataTable();
if (jQuery('#checkPrice_value').val() == '1') {
    jQuery('#checkPrice').prop('checked', true)
    jQuery('#checkPrice').val('1')
}
if (jQuery('#disableRegistrars_value').val() == '1') {
    jQuery('#disableRegistrars').prop('checked', true)
    jQuery('#disableRegistrars').val('1')
}
if (jQuery('#applyPromotion_value').val() == '1') {
    jQuery('#applyPromotion').prop('checked', true)
    jQuery('#applyPromotion').val('1')
}
jQuery(document).on('change','#disableRegistrars', function () {
    // for next version
    // if (jQuery('#disableRegistrars_value').val() == '0') {
    //     jQuery('#disableRegistrars_value').val('1')
    // } else {
    //     jQuery('#disableRegistrars_value').val('0')
    // }
    jQuery('#disableRegistrars_value').val('0')

});
jQuery(document).on('change','#applyPromotion', function () {
    if (jQuery('#applyPromotion_value').val() == '0') {
        jQuery('#applyPromotion_value').val('1')
    } else {
        jQuery('#applyPromotion_value').val('0')
    }
});
jQuery(document).on('change', '#currency', function () {
    var optionSelected = jQuery("option:selected", this);
    jQuery(".force:eq(" + optionSelected.index() + ")").prop("checked", true);
});
jQuery(document).on('submit', '#saveSettings', function (event) {
    console.log(jQuery(this).serializeArray())
    event.preventDefault();
    jQuery.ajax({
        url: "addonmodules.php?module=Manage_Domain&action=Setting",
        type: "POST",
        data: jQuery(this).serialize(),
        success:function(response){
           alert('success!')
        },
        error:function(response){
            alert('error: '+ response.msg)
        }
    });
});
jQuery(document).on('submit', '#fastimportForm', async function (event) {
    event.preventDefault();
    var formData = jQuery(this).serializeArray();
    var hasApply = (jQuery.inArray('promotion', Object.values(formData[0])) == 0);
    if (hasApply) {
        var agreeApplyPriceChange = confirm('The tld prices applying to price change are in USD currency.\n are agree to apply?');
        if (!agreeApplyPriceChange) {
            var agreeWithoutApply = confirm('are agree import prices without apply to price change?');
            if (!agreeWithoutApply) {
                return;
            }
            formData.shift()
        }
    }

    if (formData.length == 0) {
        alert('please select a tld.')
        return;
    }
    jQuery('#table_price').empty();
    jQuery('#getPrice').append(" <div class='alert alert-info'>import process started.</div>");
    // await jQuery.ajax({
    //     url: "addonmodules.php?module=Manage_Domain&action=FastImporter&getTlds=1",
    //     type: "get",
    //     success: async function (response) {
    //         var json = jQuery.parseJSON(response);
    //         jQuery('#getPrice').append(" <div class='alert alert-info'>" + json.msg + "</div>");
    //        await jQuery.each(formData, async function (index, value) {
    //             await jQuery.ajax({
    //                 url: "addonmodules.php?module=Manage_Domain&action=FastImporter",
    //                 type: "POST",
    //                 data: {
    //                     "tld": value.name
    //                 },
    //                 success: function (response) {
    //                     var json = jQuery.parseJSON(response);
    //                     jQuery('#importPrice').append(" <div class='alert alert-success'>" + json.msg + "</div>");
    //                 },
    //                 error: function (response) {
    //                     var json = jQuery.parseJSON(response);
    //                     jQuery('#importPriceFalse').append(" <div class='alert alert-danger'>" + json.msg + "</div>");
    //                 }
    //             });
    //         });
    //     },
    //     error: function (response) {
    //         var json = jQuery.parseJSON(response);
    //         jQuery('#table_price').empty();
    //         jQuery('#getPriceFalse').html(" <div class='alert alert-danger'>" + json.msg + "</div>");
    //     }
    // });
    jQuery.ajax({
        url: "addonmodules.php?module=Manage_Domain&action=FastImporter&getTlds=1",
        type: "get",
        success: function (response) {
            var json = jQuery.parseJSON(response);
            jQuery('#getPrice').append(" <div class='alert alert-info'>" + json.msg + "</div>");
            processFormData(0); // Start processing from the first item
        },
        error: function (response) {
            var json = jQuery.parseJSON(response);
            jQuery('#table_price').empty();
            jQuery('#getPriceFalse').html(" <div class='alert alert-danger'>" + json.msg + "</div>");
        }
    });
    
    function processFormData(index) {
        if (index < formData.length) {
            jQuery.ajax({
                url: "addonmodules.php?module=Manage_Domain&action=FastImporter",
                type: "POST",
                data: {
                    "tld": formData[index].name
                },
                success: function (response) {
                    var json = jQuery.parseJSON(response);
                    jQuery('#importPrice').append(" <div class='alert alert-success'>" + json.msg + "</div>");
                    processFormData(index + 1); // Process the next item
                },
                error: function (response) {
                    var json = jQuery.parseJSON(response);
                    jQuery('#importPriceFalse').append(" <div class='alert alert-danger'>" + json.msg + "</div>");
                    processFormData(index + 1); // Process the next item even if there's an error
                }
            });
        }
    }
    
});

function fetch_data(search) {
    jQuery.ajax({
        url: "addonmodules.php?module=Manage_Domain&action=LastTransaction&search=" + search,
        method: "GET",
        success: function (table) {
            jQuery('#table_data').empty();
            jQuery('#table_data').html(table);
        }
    });
}

jQuery(document).on('click', '#searchBtn', function (event) {
    event.preventDefault();
    var search = jQuery('#search').val();
    var url = "addonmodules.php?module=Manage_Domain&action=LastTransaction&search=" + search;
    fetch_data(search);
});

function ajaxCall(url, data, method, success, error) {
    jQuery.ajax({
        url: url,
        method: method,
        data: data,
        success: success(),
        error: error(),
    });
}
