{include file="{$DIR}templates\\views\\header.tpl" }
<div class="col-md-12">
    {if count($hasAnyConfig) == 0}
        <div class="alert alert-danger">
            <strong><span class="title">pay attention</span></strong>
            <br>
            You should set your configs in part setting
        </div>
    {else}

        <div>
            <hr>
            <div class="row" id="table_price">
                <div class="col-md-12">
                    <form id="fastimportForm">
                        <div class="row">
                            <div class="col-md-4  ">
                                <div class="form-group">

                                    <button type="submit" class="btn btn-primary"> Import Or Update Prices</button>

                                    <label> <input type="checkbox" name="priceChange" value="priceChange"> </label>
                                </div>
                                <div class="col-md-6   ">Your currency is: {$this->currency()}
                                </div>
                            </div>
                        </div>
                        <table class="datatable text-center display table-bordered" width="100%">
                            <thead>
                                <tr class="danger">
                                    <th class="text-center "></th>
                                    <th class="text-center ">TLD</th>
                                    <th class="text-center ">Registrar</th>
                                    <th class="text-center ">Action</th>
                                    <th class="text-center ">1</th>
                                    <th class="text-center ">2</th>
                                    <th class="text-center ">3</th>
                                    <th class="text-center ">4</th>
                                    <th class="text-center ">5</th>
                                    <th class="text-center ">6</th>
                                    <th class="text-center ">7</th>
                                    <th class="text-center ">8</th>
                                    <th class="text-center ">9</th>
                                    <th class="text-center ">10</th>
                                </tr>
                            </thead>
                            <tbody>
                                {$i = 1}
                                {foreach  $tldsList as $tldname => $data}
                                    {$countData = count($data)}
                                    <tr>
                                        <td rowspan="{$countData * 4}">
                                            <input type="checkbox" name="{$tldname}" value="{$tldname}"
                                                {if array_search(".$tldname",$tldsChecked)} checked="checked" {/if}>
                                        </td>
                                        <td rowspan="{$countData * 4}"> {$tldname} </td>
                                        {foreach  $data as $registrar => $value}
                                            <td rowspan="4">{$registrar}</td>
                                            {foreach  $value['base'] as $action => $val}
                                                <td>{$action}</td>
                                                {if $action == 'restore'}
                                                    <td colspan="10">{$val[1]}</td>
                                                </tr>
                                            {else}
                                                <td>{$val[1]}</td>
                                                <td>{$val[2]}</td>
                                                <td>{$val[3]}</td>
                                                <td>{$val[4]}</td>
                                                <td>{$val[5]}</td>
                                                <td>{$val[6]}</td>
                                                <td>{$val[7]}</td>
                                                <td>{$val[8]}</td>
                                                <td>{$val[9]}</td>
                                                <td>{$val[10]}</td>
                                                </tr>
                                                <tr>
                                                {/if}
                                            {/foreach}
                                        {/foreach}
                                    {/foreach}
                            </tbody>
                        </table>
                    </form>
                </div>
            </div>
            <div id="getPrice"></div>
            <div id="getPriceFalse"></div>
            <div id="importPrice"></div>
            <div id="importPriceFalse"></div>
        </div>
    {/if}
</div>