{include file="{$DIR}templates\\views\\header.tpl" }
<br>
<form id=saveSettings>
    <div class="row">
        <input type='hidden' value="0" id='disableRegistrars_value'>
        <input type='hidden' value="{$response["configs"]["applyPromotion"]}" name="applyPromotion"
            id='applyPromotion_value'>
        <div class="col-md-4 ">
            <div class="col-md-12 form-group">
                <label class="custom-control-label col-md-9" for="applyPromotion">Apply promotions :(<small>coming
                        soon</small>)</label>
                <label class="switch col-md-3">
                    <input type="checkbox" value='{$response["configs"]["applyPromotion"]}' id="applyPromotion"
                        {if $response["configs"]["applyPromotion"]} checked {/if} disabled>
                    <span class="slider round"></span>
                </label>
            </div>
            {* <div class="col-md-12 form-group">
                <label class="custom-control-label col-md-9" for="disableRegistrars">Disable other registrars (<small>coming
                        soon</small>) :
                </label>
                <label class="switch col-md-3">
                    <input type="checkbox" id="disableRegistrars" disabled>
                    <span class="slider round"></span>
                </label>
            </div> *}
            <div class="col-md-12 form-group">
                <label class="custom-control-label col-md-7" for="currency">The main currency:</label>
                <select name="currency" class="col-md-3" id="currency">
                    {foreach $response["Currencies"] as $cure}
                        <option value="{$cure->id }" {if $response["configs"]["currency"] eq  $cure->code }selected{/if}>
                            {$cure->code} </option>
                    {/foreach}
                </select>
            </div>
            <div class="col-md-12 form-group">
                <label class="custom-control-label col-md-5" for="exchange">Exchange for import</label>
                <label class="col-md-7">
                    <input type="text" name="exchange" value="{$response["configs"]["exchange"]}" id="exchange"
                        class="bordered">
                </label>
            </div>
            <div class="col-md-12 form-group">
                <label class="custom-control-label col-md-5" for="chargeEx">Exchange for charge</label>
                <label class="col-md-7">
                    <input type="text" name="chargeEx" value="{$response["configs"]["chargeEx"]}" id="exchange"
                        class="bordered">
                </label>
            </div>
            <div class="col-md-12 form-group">
                <label class="custom-control-label col-md-5" for="roundPrice">Round price </label>
                <label class="col-md-7">
                    <input type="text" name="roundPrice" value="{$response["configs"]["roundPrice"]}" id="exchange"
                        class="bordered">
                </label>
            </div>
            {* <div class="col-md-12 form-group">
                <label class="custom-control-label col-md-5" for="profit">Profit:</label>
                <label class="col-md-7">
                    <input type="text" name="profit" value="{$response["configs"]["profit"]}" id="profit"
                           class="bordered">
                </label>
            </div> *}
            <div class="col-md-12 form-group">
                <label class="custom-control-label col-md-5" for="promotionProfit">Promotion Profit:</label>
                <label class="col-md-7">
                    <input type="text" name="promotionProfit" value="{$response["configs"]["promotionProfit"]}"
                        id="promotionProfit" class="bordered" readonly>
                </label>
            </div>

        </div>
        <div class="col-md-4">
            <div class="col-md-12">
                <label class="custom-control-label" for="currency">Force currency:</label>
                <table class="datatable text-center display">
                    <thead>
                        <tr>
                            <th>Currencies</th>
                            <th>force import</th>
                        </tr>
                    </thead>
                    <tbody>
                        {foreach $response["Currencies"] as $cure}
                            <tr>
                                <th>{$cure->code}</th>
                                <th>
                                    <input type="checkbox" class="force" name="forceCurrency{$cure->id}"
                                        value="{$cure->id }" {if $response["configs"]["forceCurrency{$cure->id}"] <> null }
                                        checked="checked"
                                    {/if}
                                    >
                                </th>
                            </tr>
                        {/foreach}
                    </tbody>
                </table>
            </div>
            <div class="col-md-12">
                <label class="custom-control-label" for="registrar">The main registrar:</label>
                <select name="registrar" class="" id="registrar">
                    <option value="joker" {if $response["configs"]["registrar"] == 'joker'} selected {/if}> joker
                    </option>
                    <option value="atak" {if $response["configs"]["registrar"] == 'atak'} selected {/if}> atak </option>
                </select>
            </div>
        </div>
        <div class="col-md-4">
            <div class="col-md-12">
                <label class="custom-control-label" for="interestRate">Interest rates:</label>
                <table class="datatable text-center display">
                    <thead>
                        <tr>
                            <th>Name group</th>
                            <th>Interest rates</th>
                            <th>force import</th>
                        </tr>
                    </thead>
                    <tbody>
                        {foreach $response["clientgroups"] as $clientgroup }
                            <tr>
                                <th>{$clientgroup->groupname}</th>
                                <th>
                                    <input type="text" name="group_{$clientgroup->id}"
                                        value="{$response["configs"]["group_{$clientgroup->id}" ]}" class="color-blue">
                                </th>
                                <th>
                                    <input type="checkbox" name="forceGroup{$clientgroup->id}" value="{$clientgroup->id}"
                                        {if $response["configs"]["forceGroup{$clientgroup->id}"] <> null }
                                        checked="checked"
                                    {/if}
                                    >
                                </th>
                            </tr>
                        {/foreach}
                    </tbody>
                    <tbody>
                        <tr>
                            <th>normal group</th>
                            <th>
                                <input type="text" name="group_0" value="{$response["configs"]["group_0"]}"
                                    class="form-control" required>
                            </th>
                            <th>
                                <input type="checkbox" name="forceGroup0" value="0" checked="checked">
                            </th>
                        </tr>
                    </tbody>
                </table>

            </div>
        </div>


    </div>
    <br>
    <div class="form-group pull-right">
        <button type="submit" id="clicker" class="btn btn-primary mr-2">Save Setting</button>
    </div>
    <section class="clearfix"></section>
</form>