<?php

namespace MDadd;

use MDadd\TBL\getData;
use MDreg\traits\checker;
use MDreg\api;
use Punic\Exception;

class LastTransaction extends OutPutUi
{

    private $get;
    public $params;

    public function outPut()
    {
        checker::getParams();
        $this->params = checker::$paramsList;
        $this->get = $_GET;
        $this->tempName = "LastTransaction.tpl";
        $this->smarty->assign('lastTransactions', $this->getTransactionApi());
        $this->renderTemplte();
    }

    public function getTransactionApi()
    {
        $api = new api($this->params);
        $search = isset($this->get['search']) ? $this->get['search'] : '';
        $api->get()->makeUrl('transaction', null, [], ['search' => $search])->exe();
        if (isset($this->get['search'])) {
            ob_clean();
            if (!$api->response['success']) {
                http_response_code(400);
                echo  $api->response['msg'] ?? 'failed to receive response.';
                die(ob_get_clean());
            }
            $transactionTable = $this->smarty->assign('lastTransactions', $api->response['result']['transactions'])
                ->assign('DIR', ROOTDIR . DS . 'modules' . DS . 'addons' . DS . 'Manage_Domain' . DS)
                ->fetch(ROOTDIR . DS . "modules" . DS . "addons" . DS . "Manage_Domain" . DS . "templates" . DS . "views" . DS . "tableLastTransaction.tpl");
            http_response_code(200);
            echo $transactionTable;
            die(ob_get_clean());
        }
        return $api->response['result'];
    }
}
