<?php

namespace MDadd;

use MDadd\FastImporter;
use MDadd\TBL\getData;
use WHMCS\Database\Capsule as DB;
use Exception;
use MDreg\domain;

class Setting extends OutPutUi
{

    public function outPut()
    {
        $this->tempName = "Setting.tpl";
        if (count($_POST) != 0) {
            $this->saveManageDomainSetting();
        }
        $this->response = getData::GetManageDomainSetting();
        $this->renderTemplte();
    }

    public function saveManageDomainSetting()
    {
        ob_clean();
        DB::getPdo()->beginTransaction();
        $configs = DB::table(domain::modConfig_tbl);
            $configs->truncate();
        try {
            foreach ($_POST as $value => $index) {
                $configs->insert(
                    [
                        'key' => $value,
                        'value' => $index
                    ]
                );
            }
            DB::getPdo()->commit();
            http_response_code(200);
            $data = ['success' => true];
        } catch (Exception $ex) {
            DB::getPdo()->rollBack();
            http_response_code(400);
            $data = ['success' => true , 'msg' => $ex->getMessage()];
        }
        die(json_encode($data));
    }

}
