<div class="row">
  <div class="col-md-9 pull-md-left main-content">
    <div class="row">
      <form method="post">
        <div class="col-sm-8">
          <label class="">Domain Name</label><br />
          <textarea id="domain" name="domains" rows="6" cols="50"></textarea>
        </div>
        <div class="col-sm-ofset-5">
          <button id="btn" type="submit" class="btn btn-success">Check</button>
        </div>
        <div class="col-sm-ofset-5">
          {if $captcha->isEnabled() && !$captcha->recaptcha->isInvisible()}
          <div class="col-md-8 col-md-offset-2 col-xs-10 col-xs-offset-1">
            <div class="captcha-container" id="captchaContainer">
              {if $captcha == "recaptcha"}
              <br />
              <div class="form-group recaptcha-container"></div>
              {elseif $captcha != "recaptcha"}
              <div class="default-captcha default-captcha-register-margin">
                <p>{lang key="cartSimpleCaptcha"}</p>
                <div>
                  <img id="inputCaptchaImage" src="includes/verifyimage.php" align="middle" />
                  <input
                    id="inputCaptcha"
                    type="text"
                    name="code"
                    maxlength="6"
                    class="form-control input-sm"
                    data-toggle="tooltip"
                    data-placement="right"
                    data-trigger="manual"
                    title="{lang key='orderForm.required'}"
                  />
                </div>
              </div>
              {/if}
            </div>
          </div>
          {/if}
        </div>
      </form>
    </div>
  </div>
  <div id="resp" class="iq-card-body"></div>
</div>
<script src="modules/addons/Manage_Domain/templates/js/script.js"></script>
<script>
  jQuery("#btn").on("click", function (event) {
    event.preventDefault();
    var domains = jQuery("#domain").val().split("\n");
    for (let index = 0; index < domains.length; index++) {
      if (!$("#" + $.md5(domains[index])).text()) {
        jQuery.ajax({
          type: "POST",
          url: "index.php?m=Manage_Domain",
          data: {
            token: jQuery("input[name=token]").val(),
            action: "check_available",
            capt: jQuery("#inputCaptcha").val(),
            domain: domains[index],
            MD5domain: $.md5(domains[index]),
          },
          success: function (data) {
            jQuery("#resp").append(data);
          },
        });
      }
    }
  });
  function setPrice(event, MD5domain) {
    $("#" + MD5domain).text($("#" + MD5domain + "_select option:selected").attr("price"));
  }
  function register(domainName) {
    console.log("Register")
    MD5domain = $.md5(domainName);
    jQuery.ajax({
      type: "POST",
      url: "index.php?m=Manage_Domain",
      data: {
        token: jQuery("input[name=token]").val(),
        action: "register_domain",
        capt: jQuery("#inputCaptcha").val(),
        domain: domainName,
        year: jQuery("#" + MD5domain + "_select option:selected").val(),
      },
      success: function (data) {
        console.log('data');
        
        // var html = '<p>Action complited successfully.</p><a href="#">invoice</a>'
        jQuery("#" + MD5domain + "_maindiv").html(data);
      },
    });
  }
</script>
