<?php

namespace MDreg\traits;

use WHMCS\Database\Capsule as DB;



trait checker
{
    static $isActive = false;
    static $paramsList = [];




    static function getParams()
    {
        $apiInfo = self::checkRegistrarActive();
        if (self::$isActive) {
            self::$paramsList['ApiUrl'] = self::decryptPassword($apiInfo["ApiUrl"]);
            self::$paramsList['ApiKey'] = self::decryptPassword($apiInfo["ApiKey"]);
            self::$paramsList['ApiVersion'] = self::decryptPassword($apiInfo["ApiVersion"]);
            return true;
        }
        return false;
    }

    static function checkRegistrarActive()
    {
        $apiInfo = DB::table("tblregistrars")->where("registrar", "Manage_Domain")->pluck('value', 'setting');

        if (count($apiInfo) == 0  || trim($apiInfo["ApiUrl"]) == ""  || trim($apiInfo["ApiKey"]) == "") {
            self::$isActive = false;
            return false;
        }

        self::$isActive = true;
        return $apiInfo;
    }

    static protected function decryptPassword($password)
    {
        $command = 'DecryptPassword';
        $postData = array(
            'password2' => $password,
        );
        $results = localAPI($command, $postData);
        return $results['password'];
    }
}
